LibreOffice 5.0.0 and 4.4.5 for your Slackware box

libreoffce_logoWeekend treat: new LibreOffice packages for the latest releases from the Document Foundation.

For our stable Slackware (which is 14.1 of course) I have packaged LibreOffice 4.4.5 which was announced at the end of July. Actually, these packages were already available in my repository for the past couple of days but I wanted to wait with writing about it here until I could bake packages for LibreOffice 5.0.0 as well. Note that “LibreOffice 4.4.5 is replacing LibreOffice 4.3.7 as the ‘still’ version for more conservative users and enterprise deployments” according to the official announcement. Therefore I decided to be conservative and stick with 4.4.5 instead of packaging 5.0.0 for Slackware 14.1.

And then LibreOffice 5.0.0 has finally been released in a stable version. I have shared with you the last few Release Candidates to experiment with on slackware-current and therefore I’m happy to tell you that the stable LibreOffice 5.0.0 is packaged and ready for all of you who are running our development version of Slackware. If you are curious about the new features that LO 5 has to offer, I advise you to visit this overview page. Of course, there are numerous improvements all over the board compared to LO 4 – with a strong focus on the User Interface and interoperability with Microsoft’s and Apple’s office suites.

Get the packages from my server or any mirror closer to you:

Note that you can use slackpkg+ to manage your 3rd party packages if those are maintained in Slackware-compatible repositories (like mine). The “slackpkgplus.conf” configuration file for slackpkg+ already has example entries for my repositories – it will be a matter of “slackpkg update && slackpkg upgrade libreoffice” to upgrade to my latest versions.

Have fun! Eric

16 thoughts on “LibreOffice 5.0.0 and 4.4.5 for your Slackware box


  1. Installed and just tested LO-5 on my –current, 8-core Amd cpu and 32G of RAM.

    I use some LO extension form epub making:
    * pepitocleaner
    * writer2epub
    *epubimport
    *Alternate Find&Replace

    If anybody is interested, i can confirm that all those extensions work with 5.0 so you the upgrade, from this point of view, should be painless…

    😉

    As usual, thank you again Eric, for your work.

    HP





  2. Eric
    I used your slackbuild for libreoffice 5 on a slackware64-14.1 and it builds and seems to work fine. Is there anything I should watch out for?
    Thanks
    John


  3. Hi John,

    I did not expect trouble when compiling 5.0.0 on Slackware 14.1 because the LibreOffice source contain their own version of many supporting libraries. It’s just that I wanted to make a distinction between the stable and development versions of Slackware.



  4. sorry, ignore my last comment. I re-read your statement which says it all, just consider it a request for 5.0.0 for slackware 14.1 🙂




  5. Thanks again, Bob.

    This version is an improvement from previous LO5.
    I have used LO Impress with this new version. It is fast and clean looking. They’ve done made some irritating changes to the toolbars but is easy to fix.

    I don’t think this version is entirely “stable” as it blew up on me a couple of times.


  6. LO5 impress just blew up again while I was resizing an arrow. I have rolled back to a 4.4.x version so that I can finish my work today…


  7. Thanks for great work. But now problem is in LO 4.4.5 I need to set default printer language as post script. But there no program as spadmin. So is there other way to do it?




Leave a Reply to Daniel Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.